<template>
  <div>
    <Nuxt />
    <Footer />
  </div>
</template>

<script>
import Footer from '~/components/layout/Footer'

export default {
  transition: 'fade',
  components: {
    Footer,
  },
  beforeMount() {
    window.addEventListener('beforeunload', this.logOut)
  },
  methods: {
    logOut() {
      this.$store.dispatch('auth/logOut')
      this.$apolloHelpers.onLogout()
    },
  },
}
</script>

<style>
html,
body {
  overflow-x: hidden;
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 1s;
}
.fade-enter,
.fade-leave-active {
  opacity: 0;
}
</style>
